Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.swt.core.layout
Class SWTGridDescription

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractGridDescription<SWTGridCell>
          org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription

    public class SWTGridDescription

extends AbstractGridDescription<SWTGridCell>

A `SWTGridDescription` describes the grid of the renderer using a list of `GridCells` and the number of rows and columns it has. Use the `GridDescriptionFactory` to create `GridDescriptions`.

Since:
  1.3
Author:
  Eugen Neufeld

Constructor Summary
`SWTGridDescription()` Creating an empty grid.
`SWTGridDescription(int rows, int columns, List<SWTGridCell> grid)` Creating a filled grid.

Method Summary
`SWTGridDescription` | `copy()` Creates a copy of the grid.

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractGridDescription
`getColumns, getGrid, getRows, setColumns, setGrid, setRows`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWTGridDescription

    public SWTGridDescription()

  Creating an empty grid.

### SWTGridDescription

    public SWTGridDescription(int rows,
                              int columns,
                              List<SWTGridCell> grid)

  Creating a filled grid.

  Parameters:
    `rows` - number of rows in this description
    `columns` - number of columns in this description
    `grid` - the List of `GridCells` describing the grid

Method Detail

### copy

    public SWTGridDescription copy()

  Creates a copy of the grid.

  Returns:
    a copy of the grid

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.